Bug 978969 - Page not found when creating a generic quickstart by created link
Page not found when creating a generic quickstart by created link
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jessica Forrester
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 07:59 EDT by Wei Sun
Modified: 2015-05-14 21:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:18:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-06-27 07:59:30 EDT
Description of problem:
Create a ruby generic cart by: https://<server>/app/console/application_types/custom?cartridges[]=ruby , but it returns "Page not found".


Version-Release number of selected component (if applicable):
STG(devenv-stage_381)
devenv-stage_381

How reproducible:
Always

Steps to Reproduce:
1.Log in website
2.Create a ruby generic cart by: https://<server>/app/console/application_types/custom?cartridges[]=ruby
3.

Actual results:
Page not found

Expected results:
Created quickstart are listed, ruby-1.8 and ruby-1.9 are listed in cartridges

Additional info:
This issue can not be reproduced in devenv_3419
Comment 1 Jessica Forrester 2013-07-09 15:44:08 EDT
The new path for this is singular application_type, like this:

https://<server>/app/console/application_type/custom?cartridges[]=ruby

However, to handle any legacy bookmarks we added back support for the legacy plural path as part of recent changes that havent been pushed to prod yet.  See https://github.com/openshift/origin-server/commit/488a26597884d5d8b8ce85aa809040de75a55279#console/lib/console/rails/routes.rb
Comment 2 Yujie Zhang 2013-07-10 03:35:52 EDT
Tested on STG and prod, the new path can work correctly, so verify this bug, thanks.

Note You need to log in before you can comment on or make changes to this bug.